<!-- 
  Copyright (c) 2023 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
  Olivier Goulet <olivier.goulet@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->

<!-- Make sure to test the download URLs after changing the version number -->
{{ $version_number := "1.2.0" }}

<section class="openpass-section container padding-top-60 padding-bottom-60" id="openpass">
  <div class="openpass-section-row row">
    <div class="col-md-12 match-height-item-by-row">
      <img class="visualizer-img img-responsive h-100" src="/images/visualizer.jpg" alt="" /> 
    </div>
    <div class="col-md-12 match-height-item-by-row">
      <h2 class="openpass-section-title margin-top-0">openPASS</h2>
      <div class="openpass-section-summary margin-bottom-20">
        {{ .Inner | markdownify }}
        <ol class="margin-top-20 padding-left-20">
          <li>
            Download openPASS* and unzip it
          </li>
          <li>
            How to start: <a href="#tutorials">video tutorial</a> or <a href="https://eclipse.dev/openpass/content/html/user_guide/tutorials/10_scenario_simulation.html">documentation</a>
          </li>
        </ol>
        <p class="text-muted">* In this case: openPASS = opSimulation</p>
        <p>Further information about openPASS subprojects can be found <a href="https://gitlab.eclipse.org/eclipse/openpass">here</a>.</p>
      </div>
      <a 
        class="btn btn-collapse btn-secondary hidden-xs" 
        role="button" data-toggle="collapse" 
        href="#download-collapse" 
        aria-expanded="false" 
        aria-controls="download-collapse"
      >
      Download openPASS {{ $version_number }}
        <i class="fa fa-chevron-down" aria-hidden="true"></i>
      </a>
      <div class="collapse collapse-container" id="download-collapse">
        <ul class="list-unstyled">
          <li>
            <a href="https://www.eclipse.org/downloads/download.php?file=/openpass/releases/opSimulation/openPASS_SIM_v{{ $version_number }}.zip">
              <i class="collapse-icon fa fa-windows fa-lg margin-right-10" aria-hidden="true"></i>
              <span class="collapse-text">
                openPASS {{ $version_number }} for Windows
              </span>
            </a>
          </li>
          <li>
            <a href="https://www.eclipse.org/downloads/download.php?file=/openpass/releases/opSimulation/openPASS_SIM_v{{ $version_number }}.tar.gz">
              <i class="fa fa-linux fa-lg margin-right-10" aria-hidden="true"></i>
              <span>
                openPASS {{ $version_number }} for Linux
              </span>
            </a>
          </li>
          <li>
            <a href="https://gitlab.eclipse.org/eclipse/openpass/opSimulation">
              <i class="fa fa-file-archive-o fa-lg margin-right-10" aria-hidden="true"></i>
              <span>
                Sources 
              </span>
            </a>
          </li>
        </ul>
      </div>
      <p class="margin-top-10"><a href="https://download.eclipse.org/openpass/releases/opSimulation/">Looking for an older version?</a><p>
    </div>
  </div>
</section>
